{ config, pkgs, ... }:
{
  imports = [ <nixvim_import> ]
  let 
    nixvim = import (builtins.fetchGit {
      url = "https://github.com/nix-community/nixvim";
      # When using a different channel you can use `ref = "nixos-<version>"` to set it here
    });
  in
  {
    programs.nixvim = {
      enable = true;

      colorschemes.gruvbox.enable = true;
      plugins.lightline.enable = true;

      plugins.lsp = {
        enable = true;

        servers = {
          rust-analyzer = {
            enable = true;
            installCargo = true;
          };
        };
      };
    };
  }
}
